| Home | Libraries | People | FAQ | More

## Function template generate_canonical

boost::random::generate_canonical

## Synopsis

    // In header: <boost/random/generate_canonical.hpp>

    template<typename RealType, std::size_t bits, typename URNG>
      RealType generate_canonical(URNG & g);

## Description

Returns a value uniformly distributed in the range [0, 1) with at least `bits` random bits.